Bug 1039324 - distro-sync: package from updates-testing (older) more priority than in fedora (newest)
distro-sync: package from updates-testing (older) more priority than in fedor...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 871892
  Show dependency treegraph
 
Reported: 2013-12-08 03:13 EST by Igor Gnatenko
Modified: 2013-12-19 02:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:40:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2013-12-08 03:13:20 EST
Description:
systemd in fedora repo (208-9) is newest than in updates-testing (208-6) and dnf in distro-sync downgrading it but not updating

Version-Release number of selected component (if applicable):
dnf-0.4.9-1.fc20.noarch

Steps to Reproduce:
1. dnf distro-sync

Actual results:
Resolving dependencies
--> Starting dependency resolution
---> Package libgudev1.x86_64 208-8.fc20 will be downgraded
---> Package libgudev1.x86_64 208-6.fc20 will be a downgrade
---> Package systemd.x86_64 208-8.fc20 will be downgraded
---> Package systemd.x86_64 208-6.fc20 will be a downgrade
---> Package systemd-libs.x86_64 208-8.fc20 will be downgraded
---> Package systemd-libs.x86_64 208-6.fc20 will be a downgrade
---> Package systemd-python.x86_64 208-8.fc20 will be downgraded
---> Package systemd-python.x86_64 208-6.fc20 will be a downgrade
---> Package libdrm.x86_64 2.4.49-2.fc20 will be upgraded
---> Package libdrm.x86_64 2.4.50-1.fc20 will be an upgrade
---> Package libetonyek.x86_64 0.0.2-1.fc20 will be upgraded
---> Package libetonyek.x86_64 0.0.3-1.fc20 will be an upgrade
---> Package polkit.x86_64 0.112-1.fc20 will be upgraded
---> Package polkit.x86_64 0.112-2.fc20 will be an upgrade
--> Finished dependency resolution
Dependencies resolved.

Expected results:
Resolving Dependencies
--> Running transaction check
---> Package libdrm.x86_64 0:2.4.49-2.fc20 will be updated
---> Package libdrm.x86_64 0:2.4.50-1.fc20 will be an update
---> Package libetonyek.x86_64 0:0.0.2-1.fc20 will be updated
---> Package libetonyek.x86_64 0:0.0.3-1.fc20 will be an update
---> Package libgudev1.x86_64 0:208-8.fc20 will be updated
---> Package libgudev1.x86_64 0:208-9.fc20 will be an update
---> Package polkit.x86_64 0:0.112-1.fc20 will be updated
---> Package polkit.x86_64 0:0.112-2.fc20 will be an update
---> Package systemd.x86_64 0:208-8.fc20 will be updated
---> Package systemd.x86_64 0:208-9.fc20 will be an update
---> Package systemd-libs.x86_64 0:208-8.fc20 will be updated
---> Package systemd-libs.x86_64 0:208-9.fc20 will be an update
---> Package systemd-python.x86_64 0:208-8.fc20 will be updated
---> Package systemd-python.x86_64 0:208-9.fc20 will be an update
--> Finished Dependency Resolution

Additional info:
Expected results is yum distro-sync output
Comment 1 Radek Holy 2013-12-09 09:42:39 EST
Hello, thank you for the report. We will take a look at it.
Comment 2 Ales Kozumplik 2013-12-17 11:03:12 EST
Igor can you please try again attaching the depsolving info as described by http://dnf.baseurl.org/2013/11/25/reporting-depsolving-bugs/ ? Thank you.
Comment 3 Igor Gnatenko 2013-12-18 04:43:23 EST
Unfortunately now I can't reproduce this problem, because I already have updated system. Tried to downgrade systemd, but dnf provide correctly results:

---> Package systemd.x86_64 208-8.fc20 will be upgraded
---> Package systemd.x86_64 208-9.fc20 will be an upgrade
Comment 4 Ales Kozumplik 2013-12-19 02:40:06 EST
Too bad but what can we do? Let's just follow the procedure the next time something like this occurs.

Note You need to log in before you can comment on or make changes to this bug.